Subject: Re: bug#33571: 26.1.90; Artifacts in echo area

From: Live System User <[email-masked]>
Date: Mon, 03 Dec 2018 15:03:04 -0500

Eli Zaretskii <[email-masked]> writes:

>> From: Live System User <[email-masked]>
>> Cc: Eli Zaretskii <[email-masked]>,  [email-masked]
>> Date: Sun, 02 Dec 2018 20:16:11 -0500
>> 
>>   Sorry, I meant to type:
>> 
>>          C-c g-
>> 
>>    which I have bound to "magit-status":
>> 
>> (defadvice magit-status (around magit-fullscreen activate)
>>   (window-configuration-to-register :magit-fullscreen)
>>   ad-do-it
>>   (delete-other-windows))
>> (global-set-key "\C-c\g" 'magit-status)
>
> Sounds like something else in your customizations or the packages you
> load defines "C-c g" as a prefix key.  Because if I bind "C-c g" to
> some function and then type "C-c g", I see "C-C g" in the echo area,
> not "C-c g-".

  I'm still trying to put together the mimimal configuration.

  If "C-c g" is somehow being defined as a prefix  key, it's not
  showing up as such in "C-h b" (describe-bindings).

  Thanks.